Package org.eclipse.mat.parser.index

## Class IndexWriter.IntIndexCollectorUncompressed

- java.lang.Object
- - org.eclipse.mat.parser.index.IndexWriter.IntIndexCollectorUncompressed

Direct Known Subclasses:
  `IndexWriter.SizeIndexCollectorUncompressed`

Enclosing class:
  IndexWriter

    public static class IndexWriter.IntIndexCollectorUncompressed
    extends Object

Collect a mapping of int to int.

### Constructor Summary

Constructors
`IntIndexCollectorUncompressed​(int size)` Create an IntIndexCollectorUncompressed of the given size.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `get​(int index)` Retrieve an entry.
`void` `set​(int index, int value)` Set a particular entry.
`IIndexReader.IOne2OneIndex` `writeTo​(File indexFile)` Store the collector to a file.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IntIndexCollectorUncompressed

    public IntIndexCollectorUncompressed​(int size)

Create an IntIndexCollectorUncompressed of the given size.

Parameters:
  `size` - the requiredsize

### Method Detail

#### set

    public void set​(int index,
                    int value)

Set a particular entry.

Parameters:
  `index` - the index into the array
  `value` - the value

#### get

    public int get​(int index)

Retrieve an entry.

Parameters:
  `index` - the index
Returns:
  the value

#### writeTo

    public IIndexReader.IOne2OneIndex writeTo​(File indexFile)
                                       throws IOException

Store the collector to a file.

Parameters:
  `indexFile` - the file
Returns:
  an index which holds the same values as the collector
Throws:
  `IOException` - if a problem occurred with the write